import QtQuick 2.0
import QtGraphicalEffects 1.0

Rectangle {
    anchors.fill: parent
    color: "blue"

    Image {
        source: 'images/backdrop.jpg'
        anchors.fill: parent
    }

    Rectangle {
        id: logo

        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 20

        color: Qt.rgba(1, 1, 1, 0.5)

        width: parent.width
        height: logoImage.height

        Image {
            id: logoImage
            source: 'images/logo.png'
            anchors.horizontalCenter: parent.horizontalCenter
        }
    }

    Column {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        width: parent.width
        spacing: 10

        MenuButton {
            buttonText: "New Game"
            function actionOnClick() {
                appPage.source = "Board.qml"
            }
        }

        MenuButton {
            buttonText: "Open Game"
//            disabled: true
        }

        MenuButton {
            buttonText: "Save Game"
//            disabled: true
        }

        MenuButton {
            buttonText: "About justCheckers"
        }

        MenuButton {
            buttonText: "Settings"
        }

        MenuButton {
            buttonText: "Quit"
            function actionOnClick() {
                Qt.quit()
            }
        }
    }

    Rectangle {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 20

        color: Qt.rgba(1, 1, 1, 0.5)
        width: parent.width
        height: 20

        Text {
            text: "v" + appVersion
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 20
        }
    }
}
